Subject: Re: bug#26074: [PATCH 1/3] gnu: Add python-htmlmin

From: Marius Bakke <[email-masked]>
Date: Mon, 13 Mar 2017 19:50:22 +0100

Catonano <[email-masked]> writes:

> 2017-03-13 17:22 GMT+01:00 Marius Bakke <[email-masked]>:
>
>> Catonano <[email-masked]> writes:
>>
>> > 2017-03-12 19:40 GMT+01:00 Catonano <[email-masked]>:
>> >
>> >> Marius,
>> >>
>> >> thank you for reviewing !
>> >>
>> >
>> > I'm almost ready.
>> >
>> > The only problem now is that python-flask-logins tests fail
>> >
>> > starting phase `check'
>> > running "python setup.py" with command "test" and parameters ()
>> > Checking pep8 compliance...
>> > flask_login/login_manager.py:409:29: E122 continuation line missing
>> > indentation or outdented
>> > make: *** [Makefile:23: pep8] Error 1
>> > phase `check' failed after 1.5 seconds
>> >
>> >
>> > I don't know what pep8 compliance is, it seems something similar to Guix
>> > linting for packages
>>
>> Yes, it's purely a style checker. Note that the "pep8" package has been
>> deprecated for "python-pycodestyle". Can you see if that works? If not,
>> we can probably skip those tests.
>>
>
> I tried with pycodestyle but it claims that the pep8 command can't be found.
> So I got it rolled back
>
>
>>
>> Thanks for working on it! Can you also add a copyright line with one of
>> the commits? Pseudonyms are fine :-)
>>
>
> Sorry, I forgot :-/
>
> I added a line for the copyright in a single commit so now they are 4
> patches

Thanks!

I changed the commit messages to match what we usually do for Python
packages. Also did minor edits to synopses and descriptions to please
`guix lint` and be slightly more user friendly (mostly copy-paste of
upstream descriptions), and changed the PEP8 comment to mention the bug
report you opened.

Also squashed the copyright commit into the first one. Pushed!